<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>PacketFixedData Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_packet_fixed_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">PacketFixedData Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A structure containing fixed packet data, which should not change during a measurement for the same device.  
 <a href="struct_packet_fixed_data.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9224d5823fed8c6d6a7402475212f38a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9224d5823fed8c6d6a7402475212f38a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_packet_fixed_data.html#a9224d5823fed8c6d6a7402475212f38a">PacketFixedData</a> ()</td></tr>
<tr class="memdesc:a9224d5823fed8c6d6a7402475212f38a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor, creates an empty (invalid) object. <br /></td></tr>
<tr class="separator:a9224d5823fed8c6d6a7402475212f38a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf2d07c30d14225d9c850d0a8b6150b7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_packet_fixed_data.html#adf2d07c30d14225d9c850d0a8b6150b7">PacketFixedData</a> (XsSize count)</td></tr>
<tr class="memdesc:adf2d07c30d14225d9c850d0a8b6150b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sized constructor, creates an object with room for <em>count</em> device's worth of data.  <a href="#adf2d07c30d14225d9c850d0a8b6150b7">More...</a><br /></td></tr>
<tr class="separator:adf2d07c30d14225d9c850d0a8b6150b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c83528dac1c3b2c49b14090d215367c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_packet_fixed_data.html#a4c83528dac1c3b2c49b14090d215367c">PacketFixedData</a> (const <a class="el" href="struct_packet_fixed_data.html">PacketFixedData</a> &amp;pack)</td></tr>
<tr class="memdesc:a4c83528dac1c3b2c49b14090d215367c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#a4c83528dac1c3b2c49b14090d215367c">More...</a><br /></td></tr>
<tr class="separator:a4c83528dac1c3b2c49b14090d215367c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12d5d505b55d29bf9f2f37300f76922c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12d5d505b55d29bf9f2f37300f76922c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_packet_fixed_data.html#a12d5d505b55d29bf9f2f37300f76922c">~PacketFixedData</a> ()</td></tr>
<tr class="memdesc:a12d5d505b55d29bf9f2f37300f76922c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:a12d5d505b55d29bf9f2f37300f76922c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61a606686e93bd8e8f1dc898cd1248c9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_packet_fixed_data.html#a61a606686e93bd8e8f1dc898cd1248c9">operator=</a> (const <a class="el" href="struct_packet_fixed_data.html">PacketFixedData</a> &amp;data)</td></tr>
<tr class="memdesc:a61a606686e93bd8e8f1dc898cd1248c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assignment operator, copies contents from <em>data</em>.  <a href="#a61a606686e93bd8e8f1dc898cd1248c9">More...</a><br /></td></tr>
<tr class="separator:a61a606686e93bd8e8f1dc898cd1248c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa419c4d32d27c19cd96dcf50a673b204"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa419c4d32d27c19cd96dcf50a673b204"></a>
<a class="el" href="struct_packet_info.html">PacketInfo</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_packet_fixed_data.html#aa419c4d32d27c19cd96dcf50a673b204">m_infoList</a></td></tr>
<tr class="memdesc:aa419c4d32d27c19cd96dcf50a673b204"><td class="mdescLeft">&#160;</td><td class="mdescRight">Contains information about data in the packet and the format of that data. <br /></td></tr>
<tr class="separator:aa419c4d32d27c19cd96dcf50a673b204"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77870010ad8e9e96078f8a2d827919f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77870010ad8e9e96078f8a2d827919f4"></a>
<a class="el" href="struct_xs_data_format.html">XsDataFormat</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_packet_fixed_data.html#a77870010ad8e9e96078f8a2d827919f4">m_formatList</a></td></tr>
<tr class="memdesc:a77870010ad8e9e96078f8a2d827919f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">A list of the formats of the data items. <br /></td></tr>
<tr class="separator:a77870010ad8e9e96078f8a2d827919f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8018174832c35be7a58cefc5d54d37e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8018174832c35be7a58cefc5d54d37e7"></a>
<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_packet_fixed_data.html#a8018174832c35be7a58cefc5d54d37e7">m_idList</a></td></tr>
<tr class="memdesc:a8018174832c35be7a58cefc5d54d37e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">A list of the device-ids in this packet. <br /></td></tr>
<tr class="separator:a8018174832c35be7a58cefc5d54d37e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0838e2c3e880e79bce7c4759ae204a50"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0838e2c3e880e79bce7c4759ae204a50"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_packet_fixed_data.html#a0838e2c3e880e79bce7c4759ae204a50">m_xm</a></td></tr>
<tr class="memdesc:a0838e2c3e880e79bce7c4759ae204a50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates that xbus-formatting is used. <br /></td></tr>
<tr class="separator:a0838e2c3e880e79bce7c4759ae204a50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a5c89a77310a993c3adfc1afe964e69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4a5c89a77310a993c3adfc1afe964e69"></a>
XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_packet_fixed_data.html#a4a5c89a77310a993c3adfc1afe964e69">m_itemCount</a></td></tr>
<tr class="memdesc:a4a5c89a77310a993c3adfc1afe964e69"><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of data items in the message. <br /></td></tr>
<tr class="separator:a4a5c89a77310a993c3adfc1afe964e69"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A structure containing fixed packet data, which should not change during a measurement for the same device. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="adf2d07c30d14225d9c850d0a8b6150b7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PacketFixedData::PacketFixedData </td>
          <td>(</td>
          <td class="paramtype">XsSize&#160;</td>
          <td class="paramname"><em>count</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sized constructor, creates an object with room for <em>count</em> device's worth of data. </p>
<p>The constructor sets the xbus flag to false </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">count</td><td>The number of devices whose metadata is stored in the object </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4c83528dac1c3b2c49b14090d215367c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PacketFixedData::PacketFixedData </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_packet_fixed_data.html">PacketFixedData</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Copy constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">p</td><td>The object to copy the contents from </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a61a606686e93bd8e8f1dc898cd1248c9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PacketFixedData::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_packet_fixed_data.html">PacketFixedData</a> &amp;&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Assignment operator, copies contents from <em>data</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">data</td><td>The object to copy from </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
